Dynamic grid labels in layout doesn't update automatically

2018-02-25 05:06 PM - Klas Karlsson

Status: Open

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Ubuntu 18.04 alpha Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26101

Description

I've got a custom format grid label, offset 500 m to my 1000 m UTM grid, that in 2.18 dynamically updated a index-grid for my map when I

panned the map contents (image).

In QGIS 3 I need to manually open and confirm the settings for the custom format coordinates to update to a new extent after panning the

map.

The labels used to update when ever the map extent was changed...

I also use the same x_min/y_min expression to print corner labels and that updates dynamically as it should.

Code for custom label (map item id is "main"):

CASE 

WHEN @grid_axis = 'y'

THEN substr('ABCDEFGHIJKLMNOPQRST', 

(@grid_number-to_int(y_min(map_get(item_variables('main'),'map_extent'))/1000)*1000+500)/1000 , 1) 

WHEN @grid_axis = 'x'

THEN (@grid_number-to_int(x_min(map_get(item_variables('main'),'map_extent'))/1000)*1000+500)/1000

END

History

#1 - 2018-02-25 05:08 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-12-28 12:16 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#3 - 2018-12-28 12:28 PM - Klas Karlsson

- File index.png added

Tried on QGIS 3.4.3...

Still a problem! Panning the map doesn't update the custom grid...

2025-04-26 1/2



#4 - 2018-12-28 02:56 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.4.3

Files

Skärmbild från 2018-02-25 16-58-02.png 1.62 MB 2018-02-25 Klas Karlsson

index.png 208 KB 2018-12-28 Klas Karlsson
